Skip to main content
GET
/
v1
/
customer_notification_protocol
Retrieve
curl --request GET \
  --url https://{defaultHost}/v1/customer_notification_protocol \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/v1/customer_notification_protocol"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/v1/customer_notification_protocol', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "4d03279e-2207-4aa7-bae4-62dd9be3878d",
  "object": "customer_notification_protocol",
  "free_order_enabled": true,
  "from_name": null,
  "notifications_enabled": true,
  "order_enabled": true,
  "payment_failure_enabled": true,
  "purchase_enabled": true,
  "refund_enabled": true,
  "reply_to_email": "to_reply@wunsch.test",
  "subscription_cancellation_enabled": false,
  "subscription_reminder_enabled": false,
  "subscription_renewal_enabled": false,
  "upsell_accepted_enabled": true,
  "created_at": 1782485817,
  "updated_at": 1782485817
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

free_order_enabled
boolean

Whether or not order confirmation and subscription renewal emails will be sent to customers when the order is free.

notifications_enabled
boolean

Whether or not any notifications should be sent to customers. If false no notifications will be sent to customers and all other settings will be ignored.

order_enabled
boolean

Whether or not order confirmation emails will be sent to customers.

payment_failure_enabled
boolean

Whether or not subscription dunning emails will be sent to customers.

purchase_enabled
boolean

Whether or not product access emails will be sent to customers.

refund_enabled
boolean

Whether or not refund emails will be sent to customers.

subscription_cancellation_enabled
boolean

Whether or not subscription cancellation emails will be sent to customers.

subscription_reminder_enabled
boolean

Whether or not subscription reminder emails will be sent to customers.

subscription_renewal_enabled
boolean

Whether or not subscription renewal emails will be sent to customers.

from_name
string | null

The from name to use when sending emails to customers.

reply_to_email
string | null

The reply-to email address to use when sending emails to customers.

upsell_accepted_enabled
boolean

Whether or not post purchase offer accepted emails will be sent to customers.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.